# Extract random effects of soil respiration replicate collars

format_stan_tree_raneff <- function(data, fit, unlog){
  AshDat <- data
  ash_trees <- unique(AshDat[c("fid", "tree")])
  ash_status <- AshDat %>%
    filter(fyear == "2017") %>%
    group_by(fid, tree) %>%
    summarize(status = unique(status)[1],
              condition = unique(condition)[1])
#  n_chambers <- length(unique(AshDat$fid))
  n_trees <- length(unique(AshDat$tree))
  
  for(i in 1:n_trees){
    tmp <- rstan::extract(fit, pars = c(paste0("tree_int[",i,"]")))$tree_int
    if(unlog == TRUE){
      tmp <- exp(tmp)
    } else if(unlog == FALSE){
      tmp <- tmp
    }
    name <- paste0(i)

    if(i == 1){
      tree_samples <- data.frame(tree_n = name, 
                                   tree = rep(ash_trees$tree[i]),
                                   status = rep(ash_status[ash_status$tree == ash_trees$tree[i],]$status),
                                   condition = rep(ash_status[ash_status$tree == ash_trees$tree[i],]$condition),
                                   samples = tmp)
    } else {
      tmp2 <- data.frame(tree_n = name,
                         tree = rep(ash_trees$tree[i]),
                         status = rep(ash_status[ash_status$tree == ash_trees$tree[i],]$status),
                         condition = rep(ash_status[ash_status$tree == ash_trees$tree[i],]$condition),
                         samples = tmp)
      tree_samples <- bind_rows(tree_samples, tmp2)
    }
  }
  return(tree_samples)
}
