/* Test a Stan mixed effects model with the ash plot data
*/

data {
  int<lower=1> N;                   //number of data points
  real sm[N];                       //soil moisture
  real<lower=0,upper=30> rain[N];   //monthly rainfall
  real<lower=0,upper=1> sand[N];    //fraction sand
  int<lower=1> T;                   //number of trees
  int<lower=1> S;                   //number of statuses
  int<lower=1> M;                   //number of months
<<<<<<< HEAD
  int<lower=1, upper=T> tree[N];    //tree id
=======
  int<lower=1, upper=C> collar[N];  //collar id
>>>>>>> 4e620c25e7aee45186d1da9d007a758c5ed2a620
  int<lower=1, upper=S> status[N];  //status id
  int<lower=1, upper=M> month[N];   //month id
}

parameters {
  vector[3] beta;            //fixed intercept and slopes
  vector[T] tree_int;        //tree intercepts
  vector[S] status_int;      //status intercepts
  vector[M] month_int;       //month intercepts
  real<lower=0> sigma_e;     //error sd
  real<lower=0> sigma_t;     //tree sd
  real<lower=0> sigma_s;     //status sd
  real<lower=0> sigma_m;     //month sd
}

model {
  real mu;
  //priors
<<<<<<< HEAD
  tree_int ~ normal(0,sigma_t);     //tree random effects
=======
  collar_int ~ normal(0,sigma_c);   //collar random effects
>>>>>>> 4e620c25e7aee45186d1da9d007a758c5ed2a620
  status_int ~ normal(0,sigma_s);   //status random effects
  month_int ~ normal(0,sigma_m);    //month random effects

  // likelihood
  for (i in 1:N){
<<<<<<< HEAD
    mu = beta[1] + tree_int[tree[i]] + status_int[status[i]] + month_int[month[i]] + beta[2]*rain[i] + beta[3]*sand[i];
=======
    mu = beta[1] + collar_int[collar[i]] + status_int[status[i]] + month_int[month[i]] + beta[2]*rain[i] + beta[3]*sand[i];
>>>>>>> 4e620c25e7aee45186d1da9d007a758c5ed2a620
    sm[i] ~ normal(mu,sigma_e);
  }
}
